	REM ---------------------------------------------------
	REM Creates a Windows Service for a java program...
	REM ---------------------------------------------------

	rem ---------------------------------------------------
	rem The service display name.
	rem ---------------------------------------------------
	set TITLE="FCCSC Java Message Manager"


	rem ---------------------------------------------------
	rem The root directory of the Java VM you want to use.
	rem ---------------------------------------------------
        set JAVA_HOME=C:\java\j2sdk1.4.1_01


	rem ---------------------------------------------------
	rem The root directory of the application
	rem ---------------------------------------------------
        set APPROOT=%CD%


	rem ---------------------------------------------------
	rem The location of all application dependent jar files.
	rem ---------------------------------------------------
	set JARS=%APPROOT%\jars


	rem ---------------------------------------------------
	rem The classpath to be use by the application.
	rem ---------------------------------------------------
	set CP=%APPROOT%
	set CP=%CP%;%JARS%\fccsc-manager.jar
	set CP=%CP%;%JARS%\fccsc-manager-encryptor.jar
	set CP=%CP%;%JARS%\intarsys-delta.jar
	set CP=%CP%;%JARS%\log4j-1.2.7.jar
	set CP=%CP%;%JARS%\entirex-521-rt.jar
	set CP=%CP%;%JARS%\entirex-521.jar
	set CP=%CP%;%JARS%\javamail1.3-activation.jar
	set CP=%CP%;%JARS%\javamail1.3-mail.jar
	set CP=%CP%;%JARS%\jaxp1.0-jaxp.jar
	set CP=%CP%;%JARS%\jaxp1.0-parser.jar
	set CP=%CP%;%JAVA_HOME%\lib\tools.jar


	rem ---------------------------------------------------
	rem Service Parameter - The Java VM library location
	rem ---------------------------------------------------
	set JVM=%JAVA_HOME%\jre\bin\server\jvm.dll


	rem ---------------------------------------------------
	rem Service Parameter - The class path to use.
	rem ---------------------------------------------------
	set JCP=-Djava.class.path=%CP%


	rem ---------------------------------------------------
	rem Service Parameter - The library path to use.
	rem ---------------------------------------------------
	set JLP=-Djava.library.path=%APPROOT%\cryptography


	rem ---------------------------------------------------
	rem Service Parameter - The main class name.
	rem ---------------------------------------------------
	set CMAIN=fccsc.manager.MessageManager


	rem ---------------------------------------------------
	rem Service Parameter - The shutdown class name.
	rem ---------------------------------------------------
	set CSHUT=fccsc.manager.MessageManager


	rem ---------------------------------------------------
	rem Service Parameter - The shutdown class METHOD name.
	rem ---------------------------------------------------
	set MSHUT=doShutdown


	rem ---------------------------------------------------
	rem Service Parameter - Log file for System.out calls.
	rem ---------------------------------------------------
	set LOUT=%APPROOT%\logs\mm.out


	rem ---------------------------------------------------
	rem Service Parameter - Log file for System.err calls.
	rem ---------------------------------------------------
	set LERR=%APPROOT%\logs\mm.err


	rem ---------------------------------------------------
	rem The final service command using all of the above.
	rem ---------------------------------------------------
	JMM.exe -install %TITLE% %JVM% %JCP% %JLP% -start %CMAIN% -stop %CSHUT% -method %MSHUT% -out %LOUT% -err %LERR% -current %APPROOT%


	pause